apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: dockerdemo
  namespace: dockerdemo
spec:
  chart:
    spec:
      chart: ./helm
      reconcileStrategy: ChartVersion
      sourceRef:
        kind: GitRepository
        name: dockerdemo
      version: '*'
  interval: 1m0s
  values:
    deployment:
      image: registry.gitlab.com/klaus.kirkelund.andersen/dockerdemo
      tag: main
    environment: local
    infra-stack:
      redis_enabled: false
    infra-stack-enabled: false
    name: dockerdemo
    port: 8080
    standard_greeting: Hi helm!
